﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using MySsisUnitTests.UnitTests;
using SSIS.Test;
using System.Reflection;

namespace MySsisUnitTests
{
    [TestClass]
    public class SSISUnitTestAdapter    
    {
        public static IUnitTestEngine Engine { get; set; }

        [AssemblyInitialize]
        public static void Prepare(TestContext context)
        {
            Engine = EngineFactory.GetClassInstance<IUnitTestEngine>();
            string repository = "CUSTOMERS";
            string pathToPackages = Constants.PathToPackages;
            Engine.LoadPackages(repository, pathToPackages);

            Assembly testAssembly = Assembly.GetAssembly(typeof(CopyCustomersTest));
            Engine.LoadRepositoryUnitTests(testAssembly, repository);
        }

        [TestMethod]
        public void CopyCustomersTests()
        {
            Engine.ExecuteUnitTest(typeof(CopyCustomersTest));
        }
        [TestMethod]
        public void LoadCustomersTests()
        {
            Engine.ExecuteUnitTest(typeof(LoadCustomersTest));
        }
        [TestMethod]
        public void LoadCustomersConstraintsTest()
        {
            Engine.ExecuteUnitTest(typeof(LoadCustomersConstraintsTest));
        }
    }
}
