using Microsoft.VisualStudio.TestTools.UnitTesting;
using SSIS.Test;
using SSIS.Test.Dts;
using SSIS.Test.Metadata;

namespace MySsisUnitTests.UnitTests
{
    [UnitTest("CUSTOMERS", "LoadCustomers.dtsx", PrecedenceConstraintsTestOnly = true)]
    public class LoadCustomersConstraintsTest : BaseUnitTest
    {
        private DtsPrecedenceConstraint _countConstraint;

        protected override void Setup(SetupContext context)
        {
            // set variable to 0
            DtsVariable variable = context.Package.GetVariable(@"CustomerCount");
            variable.SetValue(0);

            // get the target precedence constraint and set the execution result of the preceding task to success
            _countConstraint = context.Package.GetPrecedingConstraintForPath(@"\[LoadCustomers]\[SCR CheckCount].[CountConstraint]");
            _countConstraint.SetExecutionResult(DtsExecutionResult.Success);
        }

        protected override void Verify(VerificationContext context)
        {
            Assert.AreEqual(false, _countConstraint.Evaluate());
        }

        protected override void Teardown(TeardownContext context)
        {
        }
    }
}
